spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
#引入druid数据源
 #   driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
#    url: jdbc:sqlserver://127.0.01:1433;DatabaseName=test;allowMultiQueries=true
#    username: sa
#    password: lhbj
#    url: jdbc:oracle:thin:@//localhost:1521/orcl
    url: jdbc:sqlserver://192.168.1.250:1433;DatabaseName=demo0708;allowMultiQueries=true;encrypt=true;trustServerCertificate=true
    username: sa
    password: ENC(ksqle:xq5lQYb8beOCrxhD494xPHahBtX/hQeS)
    initialSize: 5
    minIdle: 5
    maxActive: 20
    maxWait: 60000
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: SELECT getDate()
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
      #配置监控统计拦截的filters，stat:监控统计、log4j：日志记录、wall：防御sql注入
      #如果允许时报错  java.lang.ClassNotFoundException: org.apache.log4j.Priority
      #则导入 log4j 依赖即可，Maven 地址： https://mvnrepository.com/artifact/log4j/log4j
    filters: stat,wall,log4j
#    filter:
#      wall:
#        config:
#          multi-statement-allow: true
#          none-base-statement-allow: true
    maxPoolPreparedStatementPerConnectionSize: 20
    useGlobalDataSourceStat: true
    connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=500
    # schema: 设置模式，例如 postgresql 有模式这个概念
    #url: jdbc:sqlserver://192.168.73.2:1433;DatabaseName=sHR820
    #username: sa
    #password: YsstechHR2020

server:
  compression:
    enabled: true
    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain
    min-response-size: 1024
  port: 9092  #注意，这里是https访问的的端口号
  undertow:
    io-threads: 8 # 设置IO线程数
    worker-threads: 128 # 阻塞任务线程池大小
    buffer-size: 1024 # 每个缓冲区的大小
    direct-buffers: true # 是否分配直接内存
#  ssl:
#    key-store: classpath:7494583_oa.ysstech.com.pfx
#    key-store-password: 95zCuxIB
#    key-store-type: PKCS12
#    enabled: true
###mybatis??
mybatis:
  mapper-locations: classpath:model/mapper/**/*.xml
pagehelper:
  helper-dialect: sqlServer
  reasonable: true
  support-methods-arguments: false
  params: count=countSql


  ##config: classpath:logback.xml
HR:
  #报工顶级组织，空表示所有
  OrgNumber:
  #正式员工
  EmployeeType: 00000000-0000-0000-0000-000000000001A29E85B3
  #离职员工
  LeaveType: 00000000-0000-0000-0000-000000000007A29E85B3

  HolidayPolicy: eBUAADBqEZxfwQkQ
  #年假
  AttendanceType: eBUAADAXEjxyrXZI
  #出差
  tripType: eBUAADAXEjtyrXZI
#企业微信
weixin:
  corpsecret:
  corpid:
  AgentId:
  url:
  ks:
    corpid:
    corpsecret:
    AgentId:

feishu:
  AppID: cli_a7b1b05025bad013
  AppSecret: 1ZEjIWfJOlTWUJ28lOeF5ekj4435rHEV

yunzhijia:
  AppID: 500968225
  AppSecret: Lu8N400ouEfPUBaUShl5

  #  corpsecret: 1PDS3kcxNu4pCkXAyZutnzUq2xoS-POnZzqLcRW5_4I
  #  corpid: wwad966bd4d6a788ce
  #  AgentId: 1000040
  #  url: https://oa.ysstech.com:19000/
  #审批消息企微消息推送
  ks:
    corpsecret: CmzzYQ4evcyBjzyjYwl2ycDOk3tNm8DDiUv0gfysPls
    corpid: wwad966bd4d6a788ce
    AgentId: 1000036
    # corpsecret: r_dthG2V-w6g6tpoEgjnNJS_dv5_SCAQl0PfV8z_H4U
    #corpid: wwbfa0b02a7ede338c
    #AgentId: 1000006


